<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.GlobalDB ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Static">
    <Member Name="xAddDataField" Datatype="Bool" />
    <Member Name="Append" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Damit kann man einen String an das gewünschte Datenfeld schreiben</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nString" Datatype="String">
      <Comment>
        <MultiLanguageText Lang="de-DE">String der hinzugefügt werden soll</MultiLanguageText>
      </Comment>
      <StartValue>''</StartValue>
    </Member>
    <Member Name="nDataField" Datatype="UDInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Position an der, der String hinzugefügt werden soll</MultiLanguageText>
      </Comment>
      <StartValue>0</StartValue>
    </Member>
    <Member Name="xClear" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Löschen</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="TelegramToSend" Datatype="&quot;UDT_TelegramData&quot;">
      <Comment>
        <MultiLanguageText Lang="de-DE">Das Telegram das gesendet werden soll</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xSendTelegram" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Telegram senden</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xGetFirstTelegram" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Erstes Telegram holen </MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xResetTeleHandler" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Rücksetzen Telehandler</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="FirstTelegram" Datatype="&quot;UDT_TelegramData&quot;">
      <Comment>
        <MultiLanguageText Lang="de-DE">Erstes Telegram</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <MemoryLayout>Optimized</MemoryLayout>
      <MemoryReserve>100</MemoryReserve>
      <Name>TestVariables</Name>
      <Namespace />
      <Number>30</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.GlobalDB>
</Document>